= 3.0.4( 12 June 2026 ) =
* Fixed : Vulnerablilty fix Broken Access Control disclosed by Patchstack (Ananda Dhakal) 
* Improvement : PCP and other improvements #999

= 3.0.3( 08 May 2026 ) =
* Fixed : Business-logic flaw in the unauthenticated AJAX action `quads_submit_ad_buy_form` disclosed by Patchstack (Bas Albers)
* Fixed : PayPal payment amount validation issue disclosed by Patchstack (Bas Albers)

= 3.0.2( 16 March 2026 ) =
* Fixed : Custom filtering not working in reports #995
* Added : Nigerian Naira (NGN) Curreny in Sellable Ads. #994
* Improvement : Done improvements with respect to PCP 
* Tested : WordPress 7.0 and update readme.txt #996

= 3.0.1( 11 March 2026 ) =
* Fixed : Ads report issue #992
* Fixed : Ads not appearing due to undefined variable $adsArray #991

= 2.0.99 ( 23 February 2026 ) =
* Fixed : Targeting “Excluded On → User Role” does not include custom WordPress roles #987
* Fixed : All ads are not coming in quads ad inserter in WP tinymce editor #988
* Improvement : Sticky Ad Close Button Should Use display: none Instead of opacity: 0 #977
* Fixed : Authenticated Stored CSS via Ad Meta Parameters disclosed by Wordfence (Muhammad Yudha - DJ)

= 2.0.98.1 ( 09 January 2026 ) =
* Fixed : License is not getting activated #985
* Fixed : Reports section is not opening #986

= 2.0.98 ( 30 December 2025 ) =
* Fixed : Fatal error in 2.0.97 when using toc elementor widget #982
* Fixed : Undefined array key in template-functions.php on line 1425 #976
* Fixed : Carousel ads breaking WooCommerce tabs #983
* Improvement : Placement after percentage not working #981

= 2.0.97 ( 20 December 2025 ) =
* Improvement : Done improvements with respect to PCP and WP.org standards.

= 2.0.96 ( 12 December 2025 ) =
* Fixed : Checked with Plugin Check and added fix.
* Added : Tested with WordPress 6.9 and update readme.txt

= 2.0.95 ( 05 November 2025 ) =
* Added : Option to select Polylang-specific language. #972
* Improvement : Report should show the draft ads too #974
* Fixed : Fatal error in query monitor #970
* Fixed : click was not counted in the after-class condition. #973

= 2.0.94.1 ( 30 September 2025 ) =
* Fixed : Patched XSS Vulnerability disclosed by Patchstack (Fiqro Najiah) 

= 2.0.94 ( 15 September 2025 ) =
* Fixed : Display After Every option is not working properly with random ads. #968

= 2.0.93 ( 20 August 2025 ) =
* Fixed : Importing ads on another sites shows deleted ads too. #965
* Fixed : Mobile Popup Ad Not Aligned on Mobile Devices #964
* Fixed : Patched XSS Vulnerability disclosed by Patchstack (Fiqro Najiah) 
* Improvement : More Improvement done #963


= 2.0.92 ( 05 June 2025 ) =
* Fixed : Deprecation Warning #922
* Fixed : Single FAQ page is empty if our quads plugin is active #960
* Fixed : PHP Fatal error in PHP 8+: [] operator not supported for strings in template-functions.php (line 4024) #961
* Added : Expiry date option based upon impression #956
* Added : Expire Ads option based upon clicks #957
* Added : We need to make a compatibility with the Sensei LMS plugin. #958
* Added : Remove old tracked data #959

= 2.0.91 ( 16 May 2025 ) =
* Fixed : BUG: Hide default ads, use manually placed ads" setting resets on publish in v2.0.90 #949
* Added : Carousel Ads are not getting update with new banners #900
* Added : Improvement in Slow Queries #950
* Added : Carousel Ads are showing in the loop which is causing performance issue #951
* Added : Warnings and Errors in browser console #952
* Added : Impression report issue #953
* Added : Click graph is not working #954

= 2.0.90 ( 30 April 2025 ) =
* Added : Test with WordPress 6.8 and update readme.txt #947
* Added : Code Improvement #946
* Added : The Ad Performance Tracker option conflicts with the Reports option. #944
* Added : Increase the display duration of the bottom-right corner message that appears and disappears when saving settings. #943
* Added : We need to implement InMobi in our plugin. #939

= 2.0.89 ( 03 April 2025 ) =
* Added : Need to add an option to exclude Ads via class of the element #894
* Added : Need to add Google Reward ads feature #921
* Added : Add discount/coupon feature in sellable ads #925
* Added : Add an option to reset impression and clicks #888
* Fixed : The option Limit The Insertion Till Nth Ad is no longer shown in the feature Group Insertion #937
* Fixed : Banner Sticky ad is not visible in home page when there is not static home page selected #940

= 2.0.88 ( 07 March 2025 ) =
* Added : Need to add new feature in Sellable Ads #930
* Added : By default Hide Ads for Premium Members option should be off and It still creates payment page even after off  #931
* Added : Need to add integration with Paystack in sellable ads #919
* Added : New Improvement #934
* Fixed : Sellable ads should not show normal ads pagination #929
* Fixed : Broken Access Control and SQL Injection vulnerability Reported by Patchstack (astra.r3verii)

= 2.0.87.1 ( 11 February 2025 ) =
* Added : Admin Option in Global Excluder for Ads #924
* Fixed : Layout issue persists in Version 2.0.87 #928
* Fixed : Pagination not working in Ads tab after recent update  #926


= 2.0.87 ( 04 February 2025 ) =
* New: Feature Hide ads for Premium Members, and UI Improvement for Sellable Ads #496
* New: Need to add feature to upload the own defualt image in advertise space, Edit the customers advert details after they have purchased #923


= 2.0.86.1 ( 12 November 2024 ) =
* Improvement: Option to prevent automatic creation of a sellable ad page #909
* Fixed: Uncaught TypeError: Cannot read properties of undefined (reading 'style') #907

= 2.0.86 ( 07 November 2024 ) =
* New: Feature for payment methods for selling ads #550
* Improvement: Few improvements of Dashboard #876
* Improvement: Carousel ads required X button to close/hide the ads #902
* Improvement: Few improvements required #897
* Compatiblity: Compatiblity with Jannah news theme. #890
* Fixed: Dual HTML tag was added to the source code. #868
* Fixed: Conflict with Ultimate FAQ - WordPress FAQ and Accordion Plugin #903
* Test: Test with WordPress version 6.7 #905

= 2.0.85 ( 19 August 2024 ) =
* Fixed: Broken Access Control vulnerability reported by patchstack.com

= 2.0.84 ( 04 June 2024 ) =
* Improvement: Few modifications done for Rotator ads #887
* Fixed: The option to set an ad on Taxonomy terms is not working #889

= 2.0.83 ( 06 May 2024 ) =
* New: Need to create an option where we can see all ad's performance. #882
* Fixed: Ordered ads are not showing in rotation ads in the Auto Rotate type option. #883
* Fixed: Particular ads impression is not showing in Rotator ads. #884
* Fixed: When we add the Random ads but its type is showing pop-up ads #885

= 2.0.82 ( 09 April 2024 ) =
* New: Added option sorting type in rotator ads #880
* Improvement: Duplication of position dropdown (code improvement) #862
* Fixed: Conflict issue with 2.0.81 version #875
* Fixed: Mobile Plain Text / HTML / JS option is not getting saved #879
* Fixed: option to add the mobile-specific ad in the custom ad is not getting saved #873
* Fixed: PHP Warning (2.0.81): Undefined array key “position” #874

= 2.0.81 ( 01 March 2024 ) =
* New: Feature to Show/Hide the appearance of the Ad depending on states #847
* New: Added Feature of scheduling ads. #653
* Improvement: Duplication of position dropdown (code improvement) #862
* Improvement: Show a required field message near next button while adding ads #806
* Improvement: Add filters in ad list page #864
* Feature: Role-based access for settings #865
* Fixed: Warning in debug log #852
* Fixed: Click fraud protection is not working for non amp users #866
* Fixed: Dual HTML tag was added to the source code. #868
* Fixed: after_class target does not work when class is out site the_content #869
* Fixed: Report tab is showing blank. #870

= 2.0.80 ( 30 December 2023 ) =
* Fixed: Compatibility with the plugin Loco Translate #861
* Fixed: Plugin is not being deactivated in multisite #857
* Fixed: Geo location is not working properly #856
* Fixed: PHP warning is showing on the user end. #851 #855 #838
* Improvement:The type attribute is unnecessary for JavaScript resources #859
* Improvement: The type attribute for the style element is not needed and should be omitted. #858
* Improvement: option of LazyLoading for all ad units separately. #854
* Improvement: Option for turn off admin impression and clicks #850
* Improvement: Follow, unfollow required, as we have given the option for Ad Anchor Link. #843
* Improvement: new placement option for “Random Ad Placement” #829
* Improvement: spinning loader in reports dashboard until data not fetched #828
* New: Option to export reports.(PRO) #833

= 2.0.79 ( 10 November 2023 ) =
* Improvement:Improved reporting db structure #834
* Improvement: Improvement in Ad delay feature #839
* Fixed: Ad loggin pagination need to correct. #840
* Fixed: Version 2.0.76 and Above Breaking Sticky Ads Functionality #842
* Fixed: Draft Ads in Random Spot Issue: Ads Continue Displaying #844
* Fixed: The “Unexptected token error” shows in browser console #845
* Fixed: Warning appears #846
* Fixed: Add default width and height for the ads #680

= 2.0.78 ( 10 October 2023 ) =
* Added: After ID field in “Where Will The AD Appear” option #766
* Added: After Advance Selector field in “Where Will The AD Appear” option #766
* Fixed: Visibility validation should not work if we select shortcode(Manual) option #802
* Fixed: Targetting city wise to show the ads on frontend is not working #830

= 2.0.77 ( 03 October 2023 ) =
* Fixed: Text around Ads code removed #519
* Fixed: Banner ad issue #805
* Fixed: Already created carousel ad should not be shown inside ad selection dropdown #814
* Fixed: All created ads and saved settings does not display for allowed role based access users #817
* Fixed: Error when updating php to version 8.1 #818
* Fixed: Improvement Requirement in carousel random option #822
* Fixed: Invalid argument supplied for foreach() #824
* Fixed: Settings Spiner Code improvement.

= 2.0.76 ( 13 September 2023 ) =
* Added: In carousel ad, the selected ads should be draggable #798
* Added: Need to add an option for random carousel banner ads #799
* Fixed: Warning after recent update #796
* Fixed: The Position option Sticky Ad (AMP) is not working #797
* Fixed: Load Ad after 3-4 seconds option is not working for banners #807
* Fixed: One selecting role based access other setting option is being changed #810
* Fixed: Loading is missing for few checkbox #811
* Fixed: Carousel ad Navigation Arrows do not work #813
* Fixed: Uncaught TypeError: Cannot read properties of null #815
* Fixed: Add Alt Tag Field for Custom Image Ad in WP QUADS AMP #816
* Fixed: Sticky Ad code improvement.

= 2.0.75 ( 29 August 2023 ) =
* Added: An option to show Sticky ad on top or bottom of the page #731
* Fixed: Undefined array key “ad-type” #777
* Fixed: Warning foreach() argument must be of type array|object, int given #787
* Fixed: Undefined property #790
* Fixed: Changes needed in feedback form #792
* Fixed: Undefined array key “mob_banner_ad_width” #793

= 2.0.74 ( 22 August 2023 ) =
* Added: Exclude impression count of the admin #757
* Added: Add size option for mobile specific banner #789
* Added: Cookies time option for popup ad #791
* Fixed: Undefined array key “position” #774
* Fixed: Height and width is not applied in sticky ads(AMP) #779
* Fixed: Error in browser console while adding Adsense Ads #781
* Fixed: The Fraud Protection option is not working properly #782
* Fixed: Ads are not working on the AMP #785
* Fixed: A Deprecated warning reported #786
* Fixed: Fix for ad container adding at every ad position in boombox theme

= 2.0.73 ( 14 July 2023 ) =
* Fixed: Undefined array key “ad” #761
* Fixed: Access offset of type string on string #76
* Fixed: Need to make an option to show the pop up ad on bottom of the page/post #731
* Fixed: DOMDocumment::loadHTML() Unexpected end tag Entity #770
* Fixed: Banner Ads are not showing up on the Search Page #764
* Fixed: Need option for next and prev arrow for carousel ad #772
* Fixed: Floating ads not working on some particular pages [User Specific Mukul] #771
* Fixed: PHP Warning on server and Error #760
* Fixed: Role Based Access not working. #758
* Fixed: “ads.txt – Automatic Creation” Option is not working. #756
* Fixed: There should be jumb link to redirect to license section #765
* Fixed: PHP Deprecated: strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated #775

= 2.0.72.1 ( 21 June 2023 ) =
* Cannot access offset of type string on string #768

= 2.0.72 ( 19 June 2023 ) =
* Added: New Option to set expiry date #747
* Fixed: Some errors in Apache error log #750
* Fixed: Option “Ad after HTML tag” is not working #748
* Fixed: Some issues are occurring with vide ads #719
* Fixed: There is a need to make a feature where users can add mobile device-specific ads. #725
* Fixed: Improvement requirement in Impression and click counts #724
* Fixed: Ad Logging UI is broken (pro) #684
* Fixed: Toggle to disable “All Ads should appear after 3-4 seconds of loading the page” #704
* Fixed: Checkbox selection should work on every respective label click #751
* Fixed: Newspaper theme ad options should only be available if the theme is activated #753
* Fixed: Banner Ads are appearing on the Store page even if not configured #752
* Fixed: URL Parameter inside targeting is not working. #754
* Fixed: Wrong parameters passed to impressions and clicks functionality #755
* Fixed: When we enable the ad performance tracking option, a lot of requests are sent to the server. #763

= 2.0.71 ( 06 May 2023 ) =
* Added: Rotator / group should show which ads are added without going into any settings #512
* Added: Loader should be there till content fully loaded when edit ad is click #662
* Added: Need to add default width and height for the ads #680
* Fixed: There is an error in the console while using the WPQUADS plugin #717
* Fixed: When we disable the ads on mobile and desktop in the classic view, they are still showing #738
* Fixed: Do not use null coalescing operator (??) anywhere in WP Quads #744
* Fixed: Warning showing #745
* Fixed: Ad disappears after 2.0.53 update #746

= 2.0.70 ( 14 April 2023 ) =
* Added: An eye icon while adding a new ad to see what it is #651
* Added: Add a new feature “Ad after a specific Class” #730
* Fixed: Click on more option and than create ad, More option selection menu does not close its own #678
* Fixed: Warning after php 8.1 update #727
* Fixed: Sticky ads are not working #739
* Fixed: While adding the ads through the Google adsense, the font is showing on the user website #741

= 2.0.69 ( 31 March 2023 ) =
* Added: An Option to set padding top, right, botton and left #695
* Fixed: Ads are not working in AMP and need some improvement #644
* Fixed: Help & Support tab should be in last if pro version is activated #674
* Fixed: Showing x sign on content upon the plugin activation #693
* Fixed: Pop-up ads are not showing #711
* Fixed: Quicktags option remains always enabled even after disabling it #713
* Fixed: Change all checkboxes to switch #714
* Fixed: Do not load any css and js on frontend if related ads are not there #715

= 2.0.68.1 ( 27 February 2023 ) =
* Fixed: Clicks and impressions are not getting recorded. #718

= 2.0.68 ( 01 February 2023 ) =
* Fixed: Nonce missing inside ajax call handler ‘quads_send_feedback’ #670
* Fixed: Showing x sign on content upon the plugin activation #693
* Fixed: Ads are not appearing in the website search results. #643
* Fixed: Deprecated: Hook elementor/widgets/widgets_registered #703
* Fixed: Undefined array key error #705
* Fixed: Slow analytics query #706
* Fixed: Add loader while analytics data is being loaded in the popup modal #707
* Fixed: Duplicate Queries #708

= 2.0.67.1 ( 17 January 2023 ) =
* Fixed: AD impressions slow query. #700
* Fixed: Fatal error after latest update #701

= 2.0.67 ( 16 January 2023 ) =
* Fixed: Limit Amount Of Ads option is not working #648
* Fixed: Function name must start with a proper prefix #669
* Fixed: Table prefix should be there in any get results from database table #66
* Fixed: Ads are not working in AMP and need some improvement #644
* Fixed: Switch button is not working on label click for some options #673
* Fixed: Yandex ad type required field does not show any message on next button click #679
* Fixed: When we select ad from A/B testing. Its keep adding report box infinitely #683
* Fixed: Warnings #685
* Fixed: Selection of custom from dropdown inside Log Tab throw console warning #677
* Fixed: Pro version is activated than more option popup selection far away from kebab menu #676
* Fixed: Mark license key as required and display response message. #667
* Fixed: For the first time without changing any option, Save Settings keep spinning infinite #675
* Fixed: Code Improvement as per WP guidlines #690
* Fixed: Deprecated error messages when activated the plugin #698
* Fixed: The Ad targeting option “Country” is not working properly. #691
* Updated: Remove Limited time offer banner #696

= 2.0.66.2 ( 03 January 2023 ) =
* Fixed: Ads not displaying with AMP.

= 2.0.66.1 ( 02 January 2023 ) =
* Fixed: Google Ads not displaying for some users.

= 2.0.66 ( 31 December 2022 ) =
* Fixed: All Ads should appear after 3-4 seconds of loading the page. #646
* Fixed: There is an issue while adding the code for the webplayer in Plan text, HTML, or JS, target the position as “sticky ads.” #645
* Fixed: Slow queries due to WP-Quads #652
* Fixed: Duplicate Queries #665
* Fixed: Log Tab (Pro) on click shows blank page #666
* Fixed: Some slow queries which causing the server slowdown #649
* Fixed: Close(X) button not working of Video ad #681
* Fixed: Nonce missing inside ajax call handler quads_send_feedback #670

= 2.0.65.1 ( 14 December 2022 ) =
* Fixed: Warnings in Site Health #664

= 2.0.65 ( 12 December 2022 ) =
* Fixed: When any warning is on quads dashboard, It does not show ads list #637
* Fixed: Warning: Invalid DOM property class. Did you mean className? #638
* Added: aggresive paralaax ad #585
* Added: Mukuls request #580
* Added: Add new options for Ad blockers’ “Bar”. #558
* Added: ad format #579
* Added: BFCM internal offer #642
* Fixed: Ads appear inside ultimate faq’s answers #656
* Fixed: Duplicate Queries issue #647

= 2.0.64.1 ( 10 November 2022 ) =
* Fixed: Background Ad not working after update

= 2.0.64 ( 09 November 2022 ) =
* Fixed: Kebab Menu Enhancement #630
* Fixed: Multiple duplicate queries #631
* Fixed: Slow Queries running from Quads plugin #635

= 2.0.63 ( 03 November 2022 ) =
* Fixed: Video ad should be clickable #625
* Fixed: Video ad size should be controllable #625
* Fixed: Video ad should play in loop #625
* Fixed: Lightbox alignment issues #625
* Fixed: Popup ads not showing mobile version ad image #625
* Fixed: Carousel ads are not working in AMP #626
* Fixed: Need alt attribute for ad image #628
* Fixed: Cube ads have some issue related to accessibility lighthouse test report #632
* Fixed: Link expired message coming when editing yoast field in the post #629

= 2.0.62 ( 19 October 2022 ) =
* Fixed: License key renewed but not updating, neither there’s an option to refresh the key #615
* Fixed: Import feature not working well for Advanced Ads plugin #614
* Fixed: Undefined array index waring in jnews theme using ad inserter #623

= 2.0.61 ( 14 October 2022 ) =
* Fixed: Ad selection popup does not close when no ads are in list #618
* Fixed: Clicking on Create ad button shows ad popup as well as settings features page. #616
* Fixed: When there are not ads. Search box should be hidden #619
* Fixed: Quicktags not working #599
* Fixed: There is no pagination in the Ad listing. #620
* Fixed: Shortcodes are having same ID #621

= 2.0.60 ( 10 October 2022 ) =
* Added: Floating recommendation Ads #591
* Fixed: The ADS is not showing in Before the HTML tag #576
* Fixed: Infolink click not counting and unsecure http error #613

= 2.0.59 ( 01 September 2022 ) =
* Updated : Optimized the ad render function #607
* Fixed: If post does not have content then “remove_ad_from_content” function is giving fatal error #609
* Fixed: Unused Script sample.js loading with 404 in admin dashboard #611
* Fixed: Feedback form not working on deactivation #606

= 2.0.58.1 ( 20 August 2022 ) =
* Fixed: Blank spaces created in BoomBox Theme

= 2.0.58 ( 18 August 2022 ) =
* Fixed: Removing quad_cc from query string when cache plugin is present

= 2.0.57.1 ( 17 August 2022 ) =
* Added: Add Carousal ads #272
* Added: Hold & Scroll – View onScroll Ad #586
* Added: Docs links after all vendors and formats Ad #586
* Updated: Improve the Reports UI & UX #578
* Updated: Changed “Add New” UI to Vendors and format #573
* Fixed: In classic interface If we add an AD by using short-code then getting a warning notice #596

= 2.0.57 ( 20 July 2022 ) =
* Added: Parallax option for Image Banner Ad #272
* Added: Loop ads feature #584
* Fixed: Validation errors in standard mode with Official AMP plugin #582
* Fixed: Fatal error: Uncaught Error: Call to undefined function str_contains() #593

= 2.0.56.1 ( 12 July 2022 ) =
* Fixed: Activate license button not working. #588

= 2.0.56 ( 12 July 2022 ) =
* Fixed: Removed Position option from AutoAds. #535
* Fixed: Empty div improvement in Auto Ads. #538
* Fixed: Ad blocker is showing pop-up even if the visitor’s Ad blocker is disabled/unavailable. #556
* Fixed: ADS not showing show if we are using a page scroll to ID. #569
* Fixed: Using Auto Insert BEFORE HTML tags changes all text before the first HTML Tag on the page to the formatting of that tag. #570
* Fixed: popup with impressions #527
* Fixed: Some issue related to popup, ad rotate, video ad and normal ads #575
* Fixed: Ad Performance Tracking is working independently even if the option is disabled #583

= 2.0.55 ( 21 June 2022 ) =
* Added: Sticky Ad Feature. #566
* Fixed: Ad blocker’s pop-up is getting closed if the visitor is clicking anywhere on the screen. #557
* Fixed: Quick tags are not showing in the classic version. #568
* Fixed: add more links to plugins menu link. #567

= 2.0.54 ( 13 June 2022 ) =
* Fixed: Loading… appears before Ad. #563

= 2.0.53 ( 04 June 2022 ) =
* Added: An Option to add Ad Before HTML Tag #531
* Added: An Option to set margin as left and right #539
* Added: An Option to set on only AMP version for Ad “After Paragraph” #540
* Added: View Report of Ad Impressions. #541
* Added: Video Ads Support. #543
* Fixed: Updated mail id. #554
* Fixed: Custom position ads not working #553
* Fixed: Sitka theme customiser breaking issue #529

= 2.0.52 ( 20 May 2022 ) =
* Fixed: Tooltip improved. #534
* Fixed: Auto save indication improvement. #536
* Fixed: Notice removed. #544
* Fixed: Readme files updated. #546

= 2.0.51 ( 16 May 2022 ) =
* Added: Popup AD Feature #527
* Fixed: option to show image banner ads even if the user enabled ad blocker. #524
* Fixed: Ad Log Option rendered even if AD Performance is turned Off #527
* Fixed: changes in Readme. #528

= 2.0.50 ( 05 May 2022 ) =
* Fixed: main ad table icons hover should show tooltip. #513
* Fixed: added rotator through widget and it shows this label. #514
* Fixed: Database error: Unknown table fields. #517
* Fixed: An option to add text around Ads. #519
* Fixed: An option for display a “Ad” size as per the device. #521
* Fixed: when shortcode is not created but used in the_content throws warnings. #522

= 2.0.49 (18 April 2022) =
* Fixed: Impressions & clicks not counting properly. #515
* Fixed: Improved Ad rotator settings area. #510
* Fixed: Ad Positioning skipped. #508
* Fixed: Advanced Ad importer not importing Group Ads . #501
* Fixed: Advanced Ad importer not importing image Ads . #506

= 2.0.48 (09 April 2022) =
* Fixed: Removed unnecessary scripts. #499

= 2.0.47 (08 April 2022) =
* Fixed: Changes in AD Name should reflect in rotator ads. #494
* Fixed: impressions and clicks not added using rotator ads. #493

= 2.0.46 (02 April 2022) =
* Added: Compatibility with WPML Plugin #415

= 2.0.45 (26 March 2022) =
* Added: Propeller ADS Support #461
* Fixed: Improvements regarding the expired license condition. #488
* Fixed: PHP Notice: Undefined index: ads #490
* Fixed: PHP Warning: Invalid argument supplied for foreach() #490

= 2.0.44 (16 March 2022) =
* Fixed: Ads clicks not added #486
* Fixed: Drafted & deleted ads rendering in rotator ads #487

= 2.0.43 (10 March 2022) =
* Fixed: Ads not rendering when Tcf option is enabled #484

= 2.0.42 (07 March 2022) =
* Fixed: Ads to be displayed connected with posts Pagination option #482
* Fixed: AD clicks not calculating in Image Banner AD when added via shortcode #469
* Fixed: Shortcode not generating when name is entered #476

= 2.0.41 (01 March 2022) =
* Fixed: PHP Fatal error: Uncaught Error: Call to undefined function quads_get_client_ip() #469
* Fixed: Tested upto 5.9.1 #465
* Fixed: Adpushup support deprecated #463

= 2.0.40.1 (05 February 2022) =
* Fixed: Adsense ads not loading #467

= 2.0.40 (31 January 2022) =
* Added: Live AD Rotation in one group as a grid #461
* Fixed: Validation errors in transitional mode with Official AMP Plugin #456

= 2.0.39 (28 December 2021) =
* Fixed: Revenue Reports Feature not working #452

= 2.0.38.1 (21 December 2021) =
* Fixed: Page improvements #356
* Fixed: Direct purchase from inside #355

= 2.0.38 (18th December 2021) =
* Fixed: improved “Go Pro” text #356
* Fixed: unnecessary notifications in panel #375

= 2.0.37.2 (16th December 2021) =
* Fixed: Added Escaping for Duplicate Ads Option #449

= 2.0.37.1 (15th December 2021) =
* Fixed: PHP Fatal error: Uncaught Error: Call to undefined function quads_get_client_ip() #447

= 2.0.37 (13th December 2021) =
* Added: Added Padding option in AD Settings #414
* Fixed: Fatal error: Uncaught TypeError: Cannot access offset of type string on string #444
* Fixed: Removed AdPushup Notification for Pro users #441

= 2.0.36 (7th December 2021) =
* Added: Added a feature of Doubleclick Sticky AD(AMP) #440
* Fixed: Adsense Sticky AD shows AD in sticky as well as before Single Post Content Position #439
* Fixed: Doubleclick ADS not loading #442

= 2.0.35 (23rd November 2021) =
* Added: Added a feature to Log IP Address for Click Fraud Protection #437
* Fixed: Incorrect Document Links #436
* Fixed: License showing incorrect date for Lifetime users #432

= 2.0.34 (09th November 2021) =
* Fixed: ads not getting displayed on “After Paragraph 1” #434
* Fixed: License key date update automatically #430
* Fixed: Update the Expiry date of licence. #423

= 2.0.33 (25th October 2021) =
* Added: By default AMP compatibility is checked, if we do uncheck and save then it’s not getting changed. #428

= 2.0.32 (22nd October 2021) =
* Added: AdPushup Ad Network #419

= 2.0.31 (14th October 2021) =
* Fix: Failed to load plugin: quads_shortcode from url… #426
* Fix: The script tag contains invalid JSON that cannot be parsed issue in AMP #425

= 2.0.30 (24th August 2021) =
* Fix: Fixed error message while adblocker with classic editor #408
* Fix: Reduce the API calls on server. #390
* Fix: Need to hide in between li tags. #3411

= 2.0.29 (13th August 2021) =
* New: Role based quads display #388
* Fix: Word count bug fix #407
* Fix: Newspaper theme conflicts with WpQuads #395
* Fix: To change Background color to the ads #387
* New: pro version label change #409

= 2.0.28.2 (03rd August 2021) =
* Fix: Option panel was getting blank #403

= 2.0.28.1 (28th July 2021) =
* Fix: After update 2.0.28 wpquads server issue. #402

= 2.0.28 (27th July 2021) =
* New: AD Blindness #363
* New: Skippable ads. #343
* New: AD Logging #364
* New: Ad lazy load for vital #362
* Fix: Image was not converting to amp-image on AMP #400

= 2.0.27.4 (05th June 2021) =
* Fix: when sticky ads are enable Adsense ads are not loading: #394
* Fix: Newspaper unable to add mutiple ads #392

= 2.0.27.3 (29th June 2021) =
* New: update readme.txt #393

= 2.0.27.2 (26th June 2021) =
* New: Newspaper Theme compatibility #392

= 2.0.27.1 (6th June 2021) =
* Fix: Unable to import Advanced Ads shortcode #371
* Fix: After first installation, it goes to Upgrade to pro #380
* Fix: Mistake in page #374

= 2.0.27 (7th April 2021) =
* Fix: Fixed Widget option is not working properly bug #342
* Fix: Fixed 404 error on vi.html #351
* Fix: Ads are not showing post category pages #331

= 2.0.26 (29th April 2021) =
* New: Ad impression and Ad clicks. #312
* Fix: Fixed duplicate id issue #341
* Fix: Lazy loading issue #352
* Fix: Undefined index and array key errors #350

= 2.0.25 (10th April 2021) =
* New: Import option for the settings is not there in the tool section. #339
* Fix: License key is not visible when the license is activated. #338
* Fix: duplicate option not working properly #340

= 2.0.24 (3rd April 2021) =
* New: Check list for 2.0.24 #334
* New: Click Fraud Protection is not working perfectly #332
* New: Geolocation targeting feature is not working cloudflare server. #337
* Fix: No country names when selected Country from the Excluded list. #336

= 2.0.23 (30th March 2021) =
* New: visibility conditions. #325
* New: Sticky floating ads. #263
* New: AMP Story ADS feature. #276
* Fix: reports on/off. #329

= 2.0.22 (15th March 2021) =
* New: Adsense Reports #290
* Fix: Hide ads for user roles (PRO) #313
* Fix: Improved targeting condition #328
* Fix: Random ads Exclude targeting is not working #320

= 2.0.21 (09th March 2021) =
* New: created an option to remove Quads Markup #180
* Fix: PHP Deprecated: implode() #277
* Fix: Theme ad location #284
* Fix: Free vs pro section in Plugin #308
* Fix: proper links in readme.txt by ahmed #309
* Fix: WP quads ads block is not working properly in the widgets section. #314
* Fix: Ads not displayed in Custom Post Type created by Custom Post Type UI plugin #321
* Fix: warning message after 2.0.20 update #318
* Fix: Visibility conditions Post are getting duplicated #322

= 2.0.20.1 (17th February 2021) =
* Fix: Fixed Warning message #318

= 2.0.20 (17th February 20201 =
* Fix: Target not working for ads in between loops. #303
* Fix: Issue while ad saving. #316
* Fix: Export ads settings #271
* Fix: Typo. #307
* Fix: Fixed Shortcode does not work on Homepage and topic. #315

= 2.0.19 (21st January 2021) =
* New: New Group Insertion #297
* Fix: Exclude targeting is not working. #286
* Fix: Random Ads shortcode does not work. #278
* Fix: Rotator Ads shortcode does not work. #278
* Fix: Rotator Ads work flow. #274

= 2.0.18.1 (07th January 2021) =
* Fix: Fixed Google Auto Ads script is not getting saved #293
* Fix: Fixed Duplicate option. #294
* Fix: Fixed Unable to edit posts with Avada post builder #295

= 2.0.18 (05th January 2021) =
* New: Ads rotator feature #274
* Fix: Exclude by city option. #289
* Fix: Removed unnecessary code of adblocker. #287

= 2.0.17.1 (25th November 2020) =
* New: Special banner for the Black Friday #281
* Fix: Fixed Ad condition getting erased while updating. #282

= 2.0.17 (12th November 2020) =
* New: Infolinks support #221
* New: Advance Ads Migrator #115
* New: Need an option to remove ads in tables #268
* New: bbPress support #264

= 2.0.16 (23rd October 2020) =
* New: TCF 2.0 support #234
* Fix: Cache Management issue #265
* Fix: Targeting condition issue. #269

= 2.0.15 (14th October 2020) =
* New: lazy loading for Classic view #190
* New: Optimize the file structure #247
* New: Displaying warning in New interface option panel when adblocker enable. #258
* Fix: Cache management #262

= 2.0.14 (06th October 2020) =
* New: Revenue sharing. #97
* New: Bimber theme compatibility for auto next posts. #255
* Fix: Added escaped and wp_localize #261

= 2.0.13 (24th September 2020) =
* New: Click fraud monitoring. #125
* Fix: Hide ads not working for in content ads #249
* Fix: Save button not working for some users #251

= 2.0.12.3 (23rd September 2020) =
* Fix: Fatal error #259

= 2.0.12.2 (15th September 2020) =
* Fix: Extra space/gap on ads for the mobile responsive ads #256

= 2.0.12.1 (14th September 2020) =
* Fix: Fixed Language issue. #254

= 2.0.12 (11th September 2020) =
* New: Added the matched contents ads feature #235
* New: Adstxt lightbox Design #226
* New: Added articles in these tooltips #228
* New: Dropdown text colour #239
* New: Design changes for Ad blocker 2.0 #219
* New: Rating Internally and Telegram group in desc #240
* Fix: Fixed width and height issue of the AdSense Ads through the shortcode #237
* Fix: Improve create Ad option #220
* Fix: Fixed empty tooltip? #227
* Fix: Fixed the ugly popup #229
* Fix: Fixed Search is not working #230
* Fix: Changed visibility condition option position #231
* Fix: Fixed Uncaught Reference Error #236
* Fix: Increased the size of the pub id #238
* Fix: Visibility condition not working in Image banner Ad #242
* Fix: Shortcode ads are not hidden when an Ads was in draft #245
* Fix: Ads inside the blockquote #246
* Fix: Potential issue with the latest React / NPM version #250

= 2.0.11.1 (27th August 2020) =
* New: Geo Location improvements #156

= 2.0.11 (26th August 2020) =
* New: Geo Location Targeting for ads #156
* New: AdsforWP Migrator #87

= 2.0.10.2 (17th August 2020) =
* New: WordPress 5.5 support #224
* Fix: Console errors with 5.5 #225
* Fix: WP 5.5 causing jQuery issues #232

= 2.0.10.1 (05th August 2020) =
* Removed: Helpscout beacon #223

= 2.0.10 (03rd August 2020) =
* New: AD blocker 2.0 #153
* New: Taboola support #144
* New: Media.net support #134
* New: Outbrain support #143
* New: MediaVine support #142
* New: Background ad support #145
* New: Ads in-between Loop #127
* New: Added the ad option in the classic editor #201
* New: Go Pro button in New interface #198
* New: Adsense sub ad types #212
* Fix: bug with MGID #214
* Fix: Design issue #215
* Fix: Adsense ad related script not loading #216
* Fix: Changed help tab email Address #202
* Fix: Loading… issue in the homepage with Extra theme #209
* Fix: Hide Ads are not working on Elementor. #217

= 2.0.9.1 (03rd July 2020) =
* New: Show ads After HTML Tag #150
* New: AMP by automattic compatibility #187
* Fix: Switch to New should not Import the ads. #184
* Fix: which and when color should be black #151
* Fix: Issue in Random ads selection #197
* Fix: Change tooltip #192

= 2.0.9 (07th July 2020) =
* New: Custom banner support Feature #109
* New: Improve UX for “Create New AD” #159
* New: Improve UX for Help tab #158
* New: Delete popup ux improvement #161

= 2.0.8.3 (18th June 2020) =
* Fix: Fixed Lazy loading issue. #188

= 2.0.8.2 (17th June 2020) =
* Fix: Fixed AMP option is not working in PRO. #183

= 2.0.8.1 (13th June 2020) =
* Fix: Fixed debug error for 404 page. #170
* Fix: Fixed common class is conflicting with other plugins #177

= 2.0.8 (12th June 2020) =
* New: MGID Integration #167
* New: Added new Position to display Ad After word count #23
* New: Added new Position to show Ad After 20,40,60,80 percent of content #175
* New: Made Ads.txt modifiable #162
* New: Ads not loading specific “page template” of Page attribute #53
* New: Ampforwp & advances amp ads importer #163
* Fix: Published going to auto Draft #169
* Fix: Settings are opened, but the page is not selected #157
* Fix: CSS shows in the head of the website in AMP after update #165
* Fix: Responsive option not working #114
* Fix: positioning bug Ad was displaying when two visibility options are selected #166
* Fix: LazyLoad does not work in custom code having an Adsense code #170
* Fix: Undefined variable Warning #177

= 2.0.7 =
* New: Added a new option to Reapeat Ad After nth Paragraph #118
* New: Added a URL of the site so it’s easier to help user #78
* Fix: Incorrect stying and wrong tab opening #130
* Fix: WPadmin toolbar has an invalid attribute in the AMP #129
* Fix: Align and Margin are not working in AMP #131

= 2.0.6 =
* New: Added ad label for individual post in new interface #117
* New: Added a tutorial link in the Adsense #116
* Fix: Fixed AMP single page data duplication issue. #123
* Fix: Fixed http link is breaking the Secure protocol #126

= 2.0.5 =
* New: Lazy Loading ads feature #104
* Fix: Improved Conditions for user Targeting #99
* Fix: Ads not working in the AMP, only appears the HTML #121

= 2.0.4 =
* New: Yandex Integration
* New: Added move positioning for AMP support.
* Fix: adsbygoogle.js loading mutiple times.

= 2.0.3 =
* New: Add Contact bubble in the Options panel.
* New: Doubleclick (Google Ad Manager) Integration
* Fix: error notification.

= 2.0.2 =
* New: Shortcode support in New interface.
* New: Allow ads on AMP pages.
* Fix: Fixed Tooltips are not working.

= 2.0.1 =
* New Random add module

= 2.0 =
* New interface added
= 1.8.18 =
* Fix: The content missing issue in WordPress 5.4 version.
* Fix: Fixed amp validation issue.

= 1.8.17 =
* Fix: Added vi banner dis-missable.
* Fix: Debug Error in quads help tab.

= 1.8.16 =
* Fix: HTML encoding issue

= 1.8.15 =
* Fix: Changes support Email id form in help area.
* New: Converting adsbygoogle to amp-ads for AMP.
* Fix: Fixed jumping issue in quads settings.

= 1.8.14 =
* New: Added support form in help area.
* New: Added Email optin box with auto message
* New: Added Margin & Padding options for AD Widget
* New: Improve tab UX
* Fix: updated the dependency in package-lock.json
* Fix: Removed hello world block gutenberg module.

= 1.8.13 =
* Feature: Created new mu-plugin for removing the WP QUADS shortcode when the plugin deactive/uninstall.
* Fix: Assigned version number of Gutenberg module js and css files.

= 1.8.12 =
* Fix: Fatal error for wordpress version below 5.0

= 1.8.11 =
* Feature: Elementor module for ads #60

= 1.8.10 =
* Feature: Gutenberg module for ads #60
* Fix: Ads in middle of the post not working properly when custom HTML markup was added in the post #57

= 1.8.9 =
* Fix: Quicktag buttons are not shown with Gutenberg editor #50

= 1.8.8 =
* New: Compatible up to WordPress 5.3.0

= 1.8.7 =
* New: Compatible up to WordPress 5.2.3

= 1.8.6 =
* Fix: Updated for WordPress 5.2.x

= 1.8.5 =
* Fix: Quicktags in editor not working any longer

= 1.8.4 =
* Fix: Fatal error if Gutenberg is disabled

= 1.8.3 =
* New: WordPress 5.0 Gutenberg support
* New: WordPress 5.1 support
* New: WordPress 5.1.1 support
* Fix: Undefined offset in wpquads\adsense

= 1.8.2 =
* Fix: Gutenberg breaks traditional admin notices so we remove our admin notices from the edit screen

= 1.8.1 =
* New: Allow to show widget ads on homepage but disable all content ads
* Fix: Widget ads are not counted correctly if the settings were saved incomplete

= 1.8.0 =
* Fix: If post has more than 10 blockquotes the resulting blockquote order will be wrong

= 1.7.9 =
* New: Add up to 11 paragraph ads with WP QUADS PRO
* New: Fix tag condition in wp quads pro
* New: Support for Google Auto Ads with WP QUADS PRO
* Tweak: Rename ad tabs

= 1.7.8 =
* Fix: License notice shown even though license is not expired
* Fix: Ads are injected into blog loop because of forgotten development code

= 1.7.7 =
* New: Option to prevent multiple injection of https://cdn.ampproject.org/v0/amp-ad-0.1.js into AMP pages
* Fix: Revert load priority to 20
* Fix: Change vi default background and text color
* Fix: vi password field too large – css issue
* Fix: Error in_array() if post_type condition is empty
* Fix: If last counted paragraph is empty, ad is injected in wrong position
* Fix: Ads are injected into blockquote elements
* Fix: Do not show vi notice on all admin pages. If ad blocker is enabled it can not be closed
* Fix: Do not update vi ad code when vi api returns null
* Tweak: Show error message when vi ad can not be created
* Tweak: Show notice if WP QUADS Pro license has been expired but make sure that the pro plugin does not stop working
* Tweak: Better ad blocker notice

= 1.7.6 =
* Fix: remove debug vars

= 1.7.5 =
* Fix: Disable ads on infinite scrolling pages
* Fix: Condition ad before last paragraph is not workingFix: Disable ads on infinite scrolling pages
* Fix: Do not inject ads into blockquote elements
* Fix: ads.txt not writeable admin notice is showing incorrect google adsense publisherId
* Fix: WP QUADS Pro not working if valid license key expired
* Tweak: Rename ADSENSE CODE to Ad Code
* Tweak: default load priority is 10

= 1.7.4 =
* New: Option to explicetely allow wp quads to create the ads.txt
* Fix: Invalid arguments and several thrown errors when no ads are defined
* Fix: Can not use vi if wordpress is installed in sub directory

= 1.7.3 =
* New: Support for multiple google AdSense publisher accounts in ads.txt
* Fix: Remove duplicate html id elements
* Fix: Add error handler for vi api

= 1.7.2 =
* New: Add Home Page condition for vi
* New: Add margin option for vi video ad
* Fix: Remove undefined var notice
* Fix: Remove debugging output
* Fix: vi login sometimes not automatically redirect
* Fix: use correct default values for vi settings if they are empty
* Fix: Use correct tier2 iab category depending on tier1 selection
* Fix: missing comma in ads.txt google adsense entry
* Fix: Do not show vi ad on feed, 404, category, archive and search pages
* Fix: Missing excerpt and content on category and archiv pages
* Fix: vi font Size default value can be empty
* Fix: Do not show vi ads when user is logged out of vi
* Tweak: Remove validate ad settings button
* Tweak: Remove not necessary admin notices

= 1.7.1 =
* Fix: adsense ads are not shown after activation of vi because of incomplete ads.txt

= 1.7.0 =
* New: VI Integration
* New: Compatible up to WP 4.9

= 1.6.2 =
* New: Make ajax condition activateable

= 1.6.1 =
* Fix: Never show ads on ajax generated pages
* New: Filter to ignore display conditions for short code generated ads
* New: Announcement for the integration of the video SSP vi.ai

= 1.6.0 =
* Fix: Remove empty div after adsense ads
* Fix: Margin and alignment option not working for widget ads
* New: Add id on select elements

= 1.5.8 / 1.5.9=
* Fix: Not more than 10 adsense ads at the same time possible

= 1.5.7 =
* Tweak: Remove external empty quads.css file
* Tweak: Better wordings for ad blocker notice
* Tweak: Make code more robust
* Tweak: Simpler notice for renewing license keys
* Tweak: Change admin bar warning color from red to a more suitable orange
* Fix: Remove jQuery frontpage check
* Fix: Rating notice not hiding

= 1.5.6 =
* Fix: License tab not shown after update of WP QUADS to version 1.5.5 and WP QUADS PRO is lower than version 1.3.3
* Fix: Quicktags button in editor not shown
* Fix: Margin option not working when ad layout floating option is default

= 1.5.5 =
* Fix: No ad position visible after new installation
* Fix: Show Add new Ad button only when wp quads pro is installed

= 1.5.4 =
* Fix: Hide widget on homepage option not working
* Tweak: Change default value of ad limitation to unlimited ads
* Tweak: Clean up code

= 1.5.3 =
* New: Unlimited amount of ads can be used with WP QUADS PRO
* Tweak: Move debug setting to tab plugin settings
* Fix: Security Update! If you are using WP QUADS Pro you need to update WP QUADS Pro to version 1.3.6.
* Fix: If page or post is used as frontpage the home page condition is ignored
* Fix: Better sanitization – remove all whitespaces in settings
* Fix: Ads are not shown on tablet device if mobile device visibility is disabled

= 1.5.2 =
* Tweak: Make sure that for AdSense ads only the AdSense ad option is used and not the plain text one
* Fix: Spelling issue

= 1.5.1 =
* Tweak: Change description in readme.txt
* Fix: Show only active and not empty widgets in widget admin section of wordpress

= 1.5.0 =
* Fix: PHP7 compatibility fixes
* Fix: Check if element wpquads-adblock-notice exists before accessing it
* Fix: Remove deprecated functions

= 1.4.9 =
* Fix: Adblock plugin is breaking wp quads admin settings. Create a admin notice to deactivate ad blocker browser extension
* Tweak: Remove ‘Get WP QUADS Pro’ button if wp quads pro is already installed

= 1.4.8 =
* New: Ability to rename adsense ads to better identify them
* New: Allow unlimited number of adsense ads on a single page
* New: Tested up to WP 4.7.3
* Tweak: Rename adsense widgets

= 1.4.7 =
* Fix: Not all quicktag generated adsense ads are shown if no default ads are used

= 1.4.6 =
* New: Theme API for custom theme integration of AdSense ads supports margin and alignment options now
* New: Create WP QUADS admin menu logo
* Fix: Admin warning if no adsense spots are activated is not working properly

= 1.4.5 =
* New: Add new option to hide AMP ads on certain posts with WP QUADS PRO

* Fix: Save Changes button is behind admin footer on plugin settings tab
* Fix: Ad Check “Highlight ads” button dark colored and unreadable with some themes
* Fix: Do not use ajax saving on license and import/export tab
* Fix: Fix css issue on admin notice
* Fix: Ad Check Highlight button color not readable – css fix
* Fix: wrong amount of max ads limit when AMP ads are used
* Fix: Make sure AdSense ads are injected only in the main query

= 1.4.4 =
* Fix: Undefined variable if WP QUADS PRO beta version is used with more than 3 AdSebse paragraph AdSense spots
* Fix: Deactivate License button not working
* Fix: Admin notice if AdSense codes are empty
* Fix: PHP Warning when AdSense ad codes are empty
* Fix: Not more than 3 AdSense widgets are shown at the same time

= 1.4.3 =
* New: Add filter to add 3 more paragraph AdSense ads placed with WP QUADS PRO
* New: Add ad health and checking function to detect if there are error in adsense settings
* New: Support link to troubleshooting guide if AdSense ads are not shown
* New: Add floating Save Settings button
* New: Grey out unused AdSense ad spots in general settings
* New: Tested up to WordPress 4.7.1
* New: Use up to 20 maximum AdSense ads on one page from a collection of 10 different ads
* New: Allow the use of the same ad on several different ad positions at the same time
* New: Complete rewrite of the main processing function for easier maintanance

* Fix: Settings are lost after updating when db option quads_version is empty
* Fix: AdSense option Hide on device X condition not working width shortcode

* Fix: Rewrite admin html and css for a more robust structure to prevent to be overwritten by other plugin devs who think its cool to load their css stuff all over the admin area
* Fix: Button Open All Ads only works on second click
* Fix: Hide Sizing Options when ad type is not AdSense
* Fix: Meta Box option “Hide all ads” is not hiding custom created ads with commercial themes like bimber.
* Tweak: Enable quicktags button per default on first time installation
* Tweak: Performance update. Uses less ressources
= 1.4.2 =
* Skiped internally

= 1.4.1 =
* Skiped internally

= 1.4.0 =
* New: Add poll when AdSense plugin is deactivated
* Fix: Responsive AdSense ads are not working if shortcode
is used
* Fix: On first time WP QUADS AdSense plugin installation make sure that post types post and blog are activated
* Fix: On update installation make sure that post types post and blog are activated
* Fix: Notice Undefined index on first time installation
* Tweak: Remove mail address for support and link to our Google AdSense support ticket page
= 1.3.9 =
* Fix: Redirect after first time installation not working
* New: Support for tag visibility condition with WP QUADS 1.3.1
* New: Add a “Rate Later” option to the rating container
* Tweak: Rename toggle button to “Open All Ads”

= 1.3.8 =
* Fix: Remove “three dots” content on unused adverts spots
* Fix: Even empty ads are taken into account for random ads
* Fix: Visibility conditionals for widget ads are not used
* Fix: Old align settings are not imported from old plugin Quick AdSense

* New: Show/Hide ads on custom post types with WP QUADS PRO
* New: Hide adverts for specific custom user role with WP QUADS PRO

* Tweak: Do not show menu link to WP QUADS PRO plugin if its already installed

= 1.3.7 =
* Fix: Do not show ads on 404 error pages
* New: Allow use of other amp vendor codes with use of wp quads pro

= 1.3.6 =
* Fix: Do not show ads on search pages
* Fix: Change ad condition for Tablet viewport to 1024px
* New: Allow recursive use of shortcodes in ad codes

= 1.3.5 =
* New: Support for multiple margin values: top, right, bottom, left (Needs WP QUADS PRO min. version 1.2.7)
* Fix: Undefined adalign notice

= 1.3.4 =
* Fix: Meta Box Settings “Hide ads” are ignored. Error caused by code changes in 1.3.2

= 1.3.3 =
* Skip version

= 1.3.2 =
* New: Button for opening all ads for easier editing
* Fix: Plain Text / HTML as default mode
* Fix: Invalid argument supplied for foreach() message when using custom shortcodes in ad content

= 1.3.1 =
* Tweak: Cleaner graphical admin tabs

= 1.3.0 =
* Fix: Make sure existing adsense code is not changed after updating
* Fix: Missing quads-ad class in custom Ad spots
* Fix: Hide on (mobile, desktop, tablet) device rules not working for custom Ad spots
* Fix: WP QUADS PRO can not be detected if folder name is not default wp-content/plugins/wp-quads-pro
* Fix: Can not export settings without reloading page
* Tweak: Change description of load order

= 1.2.9 =
* New: AMP support with WP QUADS PRO and Automattic AMP plugin

= 1.2.8 =
* Fix: Can not parse responsive AdSense async code when its custom modified
* Fix: Use custom AdSense ads with modified css rules
* Fix: Do not change adsense default format

= 1.2.7 =
* New: Ignore Cloudflare Rocket Script Loader for AdSense generated code
* New: Settings are saved without page reload
* New: Basic Responsive Support for Ads including widget ads
* New: No more script security errors when saving settings
* New: Improved Graphical User Interface
* New: Another class name for ad container
* Tweak: Remove deprecated debug code
* Tweak: Better description what to do after creating widget adsense code
* Fix: Adsense ad label ‘Advertisment’ not shown
* Fix: Remove ad container completely when it is deactivated via WP QUADS PRO

= 1.2.6 =
* Fix: WP auto P tags breaks inline javascript
* New: Support for Custom Banner Sizes and AdSense Label in WP QUADS PRO
* New: Banner for click fraud monitor plugin in admin settings
* Tweak: UI improvements in admin settings

= 1.2.5 =
* New: New cleaner design for adsense admin dashboard

= 1.2.4 =
* Fix: Error warning when plugin is activated

= 1.2.3 =
* Fix: AdSense Custom Theme API integration is ignoring the new responsive ads when WP QUADS PRO plugin is installed
* New: Ad Background color white per default
* Tweak: clean up code

= 1.2.2 =
* Fix: Some AdSense setting are not stored

= 1.2.1 =
* Fix: Fatal Error on frontpage

= 1.2.0 =
* New: Create AdSense pro version with mobile support
* New: AdSense WP QUADS Pro Version with responsive adsense support

= 1.1.9 =
* Fix: Change rating urls

= 1.1.8 =
* New: Click Fraud Monitor integration

= 1.1.7 =
* New: Tested up to WP 4.6.0
* New: Allow shortcodes in adsense input fields
* New: Add css class quads-id1-10 for ad container

= 1.1.6 =
* Tweak: Plugin Title
* Fix: Show ads only when query is main query

= 1.1.5 =
* Fix: Max ad count sometimes not working as expected and ads are not shown and max count is not reached, though
* Fix: Link to widget section not working

= 1.1.4 =
* Fix: Undefined var $showall

= 1.1.3 =
* Fix: Import Screen is showing No such file or directory error notice
* New: Tested up to WP 4.5.2

= 1.1.2 =
* New: Specify plugin load priority

= 1.1.1 =
* Fix: fopen error message on import settings page when Quick AdSense ist not installed and inactive

= 1.1.0 =
* Fix: Rating container not always hiding after rating the plugin

= 1.0.9 =
* Tweak: Disable all AdSense ads on 404 pages (Google AdSense does not allow this.)
* New: A nice looking rating div for asking to rate this plugin. Can be deactivated with one click and will never appear again.

= 1.0.8 =
* Tweak: Default alignment is center

= 1.0.7 =
* Fix: Change shortcode description to echo do_shortcode(‘
‘);
= 1.0.6 =
* Fix: Url to widget section leads to 127.0.0.1

= 1.0.5 =
* Fix: Check if Quick AdSense is installed is throwing error message when it is not installed.
* New: Show a <!–NoAds–> Quicktag button in the html editor. Necessary to hide ads on not defined post_types like woocommerce product pages
* Tweak: Tested up to WP 4.5
* Tweak: Change author name to Rene Hermenau

= 1.0.4 =
* Tweak: Clean up code and remove admin-notices.php
* Tweak: Add new class quads-locations for ads wrapper in content

= 1.0.3 =
* Fix: php 5.2 does not support anonymous function
* Tweak: Lower amount of tags in readme.txt

= 1.0.2 =
* Fix: undefined var notice if plugin is installed first time
* Fix: Hide AdsWidget option on front page is ignored

= 1.0.1 =
* Fix: Undefined variable notice if plugin is activated first time

= 1.0.0 =
* Tweak: Remove is_main_query() check
= 0.9.9 =
* New: API for easy integration of custom ad positions. See /includes/api.php for how to use custom ads positions in your theme
(Custom ad positions are calculated within max allowed ads setting)

= 0.9.8 =
* Fix: Still not fixed on all systems: Invalid argument supplied for foreach()
* Fix: Undefined index in widgets.php

= 0.9.7 =
* Fix: Invalid argument supplied for foreach()
* Fix: undefined var cusrnd

= 0.9.6 =
* New: Use new Meta Box on post and pages for disabling ads instead using quicktags
* New: Remove quicktags for disabling ads from editor (backward compatible)

= 0.9.5 =
* New: Rebirth – Change name to WP QUADS
* New: Modify official shortcodes to
. Old shortcodes
are still supported
= 0.9.4 =
* New: Allow the use of shortcodes to integrate google adsense ads, e.g. [quad_ad id=”1″] or echo do_shortcode(‘[[quad_ad id=”1″]]’); in template files. Max ad setting will be used for shortcode embeded ads as well.
* Tweak: Cleaner GUI
* Tweak: Clean up code and remove deprecated ads code
* Fix: Stored setting for ad position 9 was not shown properly in option field.
* Fix: Quicktags not shown

= 0.9.3 =
* Fix: Alignment is ignored

= 0.9.2 =
* Fix: AdSense Widgets shown although setting “Hide Ads when user is logged in” is enabled
* Fix: Empty quads.min.js loaded on frontend
* Fix: AdSense Widgets not created correctly
* Fix: Google AdSense max ads value ignored for widgets
* Tweak: Removing of create_function() due to security reasons ( Dont be evil() )
= 0.9.1 =
* Hooray! Quick Adsense Reloaded is alive

